# Packages

Slate's codebase is monorepo managed with [Lerna](https://lernajs.io/). It consists of a handful of packages—although you won't always use all of them. They are:

| **Package**                                            | **Version**                                                                                                                                                 | **Size**                                                                                                                                                                                                                | **Description**                                    |
| ------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------- |
| [`slate`](./slate)                                     | [![](https://img.shields.io/npm/v/slate.svg?maxAge=2592000&label=version&colorB=007ec6)](./packages/slate/package.json)                                     | [![](http://img.badgesize.io/https://unpkg.com/slate/dist/slate.min.js?compression=gzip&label=size)](https://unpkg.com/slate/dist/slate.min.js)                                                                         | Slate's core data model logic.                     |
| [`slate-base64-serializer`](./slate-base64-serializer) | [![](https://img.shields.io/npm/v/slate-base64-serializer.svg?maxAge=2592000&label=version&colorB=007ec6)](./packages/slate-base64-serializer/package.json) | [![](http://img.badgesize.io/https://unpkg.com/slate-base64-serializer/dist/slate-base64-serializer.min.js?compression=gzip&label=size)](https://unpkg.com/slate-base64-serializer/dist/slate-base64-serializer.min.js) | A Base64 string serializer for Slate documents.    |
| [`slate-html-serializer`](./slate-html-serializer)     | [![](https://img.shields.io/npm/v/slate-html-serializer.svg?maxAge=2592000&label=version&colorB=007ec6)](./packages/slate-html-serializer/package.json)     | [![](http://img.badgesize.io/https://unpkg.com/slate-html-serializer/dist/slate-html-serializer.min.js?compression=gzip&label=size)](https://unpkg.com/slate-html-serializer/dist/slate-html-serializer.min.js)         | An HTML serializer for Slate documents.            |
| [`slate-hyperscript`](./slate-hyperscript)             | [![](https://img.shields.io/npm/v/slate-hyperscript.svg?maxAge=2592000&label=version&colorB=007ec6)](./packages/slate-hyperscript/package.json)             | [![](http://img.badgesize.io/https://unpkg.com/slate-hyperscript/dist/slate-hyperscript.min.js?compression=gzip&label=size)](https://unpkg.com/slate-hyperscript/dist/slate-hyperscript.min.js)                         | A hyperscript tool to write JSX Slate documents!   |
| [`slate-plain-serializer`](./slate-plain-serializer)   | [![](https://img.shields.io/npm/v/slate-plain-serializer.svg?maxAge=2592000&label=version&colorB=007ec6)](./packages/slate-plain-serializer/package.json)   | [![](http://img.badgesize.io/https://unpkg.com/slate-plain-serializer/dist/slate-plain-serializer.min.js?compression=gzip&label=size)](https://unpkg.com/slate-plain-serializer/dist/slate-plain-serializer.min.js)     | A plain text serializer for Slate documents.       |
| [`slate-prop-types`](./slate-prop-types)               | [![](https://img.shields.io/npm/v/slate-prop-types.svg?maxAge=2592000&label=version&colorB=007ec6)](./packages/slate-prop-types/package.json)               | [![](http://img.badgesize.io/https://unpkg.com/slate-prop-types/dist/slate-prop-types.min.js?compression=gzip&label=size)](https://unpkg.com/slate-prop-types/dist/slate-prop-types.min.js)                             | React prop types for checking Slate values.        |
| [`slate-react`](./slate-react)                         | [![](https://img.shields.io/npm/v/slate-react.svg?maxAge=2592000&label=version&colorB=007ec6)](./packages/slate-react/package.json)                         | [![](http://img.badgesize.io/https://unpkg.com/slate-react/dist/slate-react.min.js?compression=gzip&label=size)](https://unpkg.com/slate-react/dist/slate-react.min.js)                                                 | React components for rendering Slate editors.      |
| [`slate-schema-violations`](./slate-schema-violations) | [![](https://img.shields.io/npm/v/slate-schema-violations.svg?maxAge=2592000&label=version&colorB=007ec6)](./packages/slate-schema-violations/package.json) | [![](http://img.badgesize.io/https://unpkg.com/slate-schema-violations/dist/slate-schema-violations.min.js?compression=gzip&label=size)](https://unpkg.com/slate-schema-violations/dist/slate-schema-violations.min.js) | Constants for the built-in schema violations.      |
| [`slate-simulator`](./slate-simulator)                 | [![](https://img.shields.io/npm/v/slate-simulator.svg?maxAge=2592000&label=version&colorB=007ec6)](./packages/slate-simulator/package.json)                 | [![](http://img.badgesize.io/https://unpkg.com/slate-simulator/dist/slate-simulator.min.js?compression=gzip&label=size)](https://unpkg.com/slate-simulator/dist/slate-simulator.min.js)                                 | A simulator for testing Slate editors and plugins. |
